NXOpen .NET Reference  12.0.0
Properties | List of all members
NXOpen.Facet.AdjustMinimumRadiusBuilder Class Reference

Represents a NXOpen.Facet.AdjustMinimumRadiusBuilder . More...

Inheritance diagram for NXOpen.Facet.AdjustMinimumRadiusBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Properties

unsafe
NXOpen.SelectDisplayableObjectList 
FacetBodies [get]
 Returns the input facet body list. More...
 
unsafe double MinimumRadius [get, set]
 Returns or sets the minimum radius of curvature More...
 
unsafe NXOpen.FacetCollector SelectedFacet [get]
 Returns the input facet body list. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Represents a NXOpen.Facet.AdjustMinimumRadiusBuilder .

It smooths the input bodies such that their minimum radius of curvature is larger than the prescribed radius of curvature.

To create a new instance of this class, use NXOpen.Facet.FacetModelingCollection.CreateFacetAdjustMinimumRadiusBuilder

Created in NX12.0.0

Property Documentation

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Facet.AdjustMinimumRadiusBuilder.FacetBodies
get

Returns the input facet body list.

Inputs to this command can be convergent objects.

Created in NX12.0.0

License requirements: None.

unsafe double NXOpen.Facet.AdjustMinimumRadiusBuilder.MinimumRadius
getset

Returns or sets the minimum radius of curvature

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.FacetCollector NXOpen.Facet.AdjustMinimumRadiusBuilder.SelectedFacet
get

Returns the input facet body list.

Inputs to this command can be convergent objects.

Created in NX12.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.